Spring Boot 2.5.1 && Spring 2.4.7 发布

来源: 投稿
作者: 冷冷zz
2021-06-11

Spring Boot 2.5.1 、2.4.7 已经发布。现在可从 repo.spring.io 和 Maven Central 获得。

<parent>
  <groupId>org.springframework.boot</groupId>
  <artifactId>spring-boot-starter-parent</artifactId>
  <version>2.5.1</version>
  <relativePath/>
</parent>

这是一个提前发布的 BUG FIX 版本,由于官方在 发布 SpringBoot 2.5.0 后收到大量的 BUG 反馈。 如果你还没有开始使用 spring boot 2.5.0, 请直接使用 2.5.1 向下兼容。

官方声明

官方声明

🐞 Bug Fixes

  • 升级 2.5.0 会导致 Jackson 发出关于 Kotlin 的启动警告

  • 在 JDK11 环境下 开启 SecurityManager 无法运行

  • RandomValuePropertySource 存在分母为零的问题

  • 目录配置存在两个'.'时,新的配置文件加载机制失效,导致无序

  • RestTemplateBuilder 无法同时配置 MetricsRestTemplateCustomizer 和 LocalHostUriTemplateHandler 属性

  • 当镜像名包含特殊字符时,新的镜像构建器无法快速失败,会一直保持运行

  • spring data 的部分端点指标丢失

  • 无法设置 H2 的 driverClassName ,抛出 UnsupportedDataSourcePropertyException

  • 无法设置 SQL Server 的 jdbc-url ,抛出 UnsupportedDataSourcePropertyException

  • Flyway 和 Liquibase 自定义数据源没有 url 导致 java.lang.ClassCastException

  • DataSourceInitializationConfiguration 自定义用户名/密码属性无效

  • spring.datasource.password 的空值会导致 NullPointerException

详情

其他 BUG 修复、文档更新和依赖项升级,详情查看:

  • https://spring.io/blog/2021/06/10/spring-boot-2-5-1-is-now-available

  • https://github.com/spring-projects/spring-boot/releases/tag/v2.5.1

展开阅读全文
2 收藏
分享
加载中
最新评论 (3)
您好,请问兼容2.1的吗?
2021-06-11 14:16
0
回复
举报
Spring boot? 大部分是一样的 细节需要调整
2021-06-11 15:04
0
回复
举报
已升级
2021-06-11 11:28
0
回复
举报
更多评论
3 评论
2 收藏
分享
返回顶部
顶部